> ## Documentation Index
> Fetch the complete documentation index at: https://docs.speedsellx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter checkout

> Retorna um checkout pelo id

Requer o escopo `checkouts:read`.

<ResponseExample>
  ```json Resposta theme={null}
  {
    "data": {
      "id": 3539,
      "product_id": 3257,
      "name": "Checkout Principal",
      "template": null,
      "checkout_theme_id": 1,
      "status": "published",
      "branding": {
        "dark_mode": true,
        "primary_color": "#0B6BFF",
        "secondary_color": null,
        "header_bg_color": null,
        "header_text_color": null,
        "logo": null,
        "top_banner": null,
        "top_2_banner": null,
        "sidebar_banner": null,
        "footer_banner": null
      },
      "created_at": "2026-06-01T10:00:00-03:00",
      "updated_at": "2026-06-01T10:05:00-03:00"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /checkouts/{id}
openapi: 3.1.0
info:
  title: SpeedSellX API
  version: 1.0.0
  description: >-
    API pública da SpeedSellX para consultar e atualizar, por integração, os
    dados da sua conta: produtos, pedidos, vendas, assinaturas, métricas,
    checkouts, upsells e webhooks. Autentique com `Authorization: Bearer
    sk_live_...` e gere chaves no painel, em Desenvolvedores. Requisições que
    alteram dados exigem o header HTTP `Idempotency-Key`. Listagens aceitam
    `page`/`per_page` e retornam `{ data, meta }`.
servers:
  - url: https://api.speedsellx.io/seller/v1
    description: Produção
security: []
tags:
  - name: Produtos
  - name: Pedidos
  - name: Vendas
  - name: Assinaturas
  - name: Métricas
  - name: Upsells
  - name: Checkouts
paths:
  /checkouts/{id}:
    get:
      tags:
        - Checkouts
      summary: Detalhar checkout
      description: Retorna a configuração de um checkout pelo ID.
      operationId: v1.checkouts.show
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CheckoutResource'
                required:
                  - data
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        const: not_found
                      message:
                        type: string
                        const: Resource not found.
                    required:
                      - type
                      - message
                required:
                  - error
components:
  schemas:
    CheckoutResource:
      type: object
      properties:
        id:
          type: integer
        product_id:
          type:
            - integer
            - 'null'
        name:
          type:
            - string
            - 'null'
        template:
          type:
            - string
            - 'null'
        checkout_theme_id:
          type:
            - integer
            - 'null'
        status:
          type:
            - string
            - 'null'
        branding:
          type: object
          properties:
            dark_mode:
              type: boolean
            primary_color:
              type:
                - string
                - 'null'
            secondary_color:
              type:
                - string
                - 'null'
            header_bg_color:
              type:
                - string
                - 'null'
            header_text_color:
              type:
                - string
                - 'null'
            logo:
              type:
                - string
                - 'null'
            top_banner:
              type:
                - string
                - 'null'
            top_2_banner:
              type:
                - string
                - 'null'
            sidebar_banner:
              type:
                - string
                - 'null'
            footer_banner:
              type:
                - string
                - 'null'
          required:
            - dark_mode
            - primary_color
            - secondary_color
            - header_bg_color
            - header_text_color
            - logo
            - top_banner
            - top_2_banner
            - sidebar_banner
            - footer_banner
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - product_id
        - name
        - template
        - checkout_theme_id
        - status
        - branding
        - created_at
        - updated_at
      title: CheckoutResource

````